# Copyright (c) 1995-1999 Nick Ing-Simmons. All rights reserved.
# This program is free software; you can redistribute it and/or
# modify it under the same terms as Perl itself.

package Gtk2::Simple::Bind::CascadeList;

our @ISA = qw/Gtk2::Simple::CascadeList/;
our $VERSION = '0.15';

use Data::Dumper;
use Carp;
use Gtk2::Simple::CascadeList;

sub new_from_widget {
  my ($class, $widg, $title, $var, @rest) = @_;

  my $result = Gtk2::Simple::CascadeList->new_from_widget($widg, $title, 
														$var, @rest);

  bless $result, $class;
  $result->select($$var) if(defined $$var);
  $widg->bind_var($var);

  return $result;
}

sub bind_var {
  my $self = shift;
  my $var = shift;

  $self->{boundVar} = $var;
  $self->update_widget();
}

sub update_widget {
  my $self = shift;
  $self->select(${$self->{boundVar}}) if(defined ${$self->{boundVar}});
}

sub update_var {
  my $self = shift;

  my @var = $list->get_selected_indices();
  ${$self->{boundVar}} = $var[0]
	  if(defined $self->{boundVar});
  return 0;
}

sub SelectionCallback {
  my ($self, @args) = @_;

  $self->update_var();
  $self->SUPER::SelectionCallback(@args);
}



1;
