# Copyright (c) 1995-1999 Nick Ing-Simmons. All rights reserved.
# This program is free software; you can redistribute it and/or
# modify it under the same terms as Perl itself.

package Gtk2::Simple::Bind::List;

our @ISA = qw/Gtk2::Simple::ListBase/;

use Carp;
use Gtk2;
use Gtk2::Simple::ListBase;

sub new_from_widget {
  my ($class, $widg, $title, $var, @rest) = @_;

  my $result = Gtk2::Simple::ListBase->new_from_widget($widg, $title,
													   $var, @rest);
  bless $result, $class;

  $result->bind_var($var);

  return $result;
}

sub selection_changed_cb {
  my ($self, $sel, @args) = @_;

  $self->update_var();
}

sub bind_var {
  my $self = shift;
  my $var = shift;

  $self->{boundVar} = $var;
  $self->update_selection_method(ref($var));
  $self->update_widget();
}

sub update_widget {
  my $self = shift;

  if(defined $self->{boundVar}){
	if( ref($self->{boundVar}) eq "ARRAY" ) {
	  my @sel = @{$self->{boundVar}};
	  $self->get_selection()->unselect_all();
	  $self->select(@sel);
	}else{
	  $self->select(${$self->{boundVar}});
	}
  }
}

sub update_var {
  my $self = shift;

  if(defined $self->{boundVar}){
	my @idx = $self->get_selected_indices();

	if( ref($self->{boundVar}) eq "ARRAY" ) {
	  @{$self->{boundVar}} = @idx;
	}else{
	  ${$self->{boundVar}} = $idx[0];
	}
  }else{
	print "Not defined\n";
  }
  return 0;
}


1;
