# Copyright (c) 1995-1999 Nick Ing-Simmons. All rights reserved.
# This program is free software; you can redistribute it and/or
# modify it under the same terms as Perl itself.

package Gtk2::Simple::Tie::CascadeList;

our @ISA = qw/Gtk2::Simple::CascadeList/;
our $VERSION = '0.15';

use Data::Dumper;
use Carp;
use Gtk2::Simple::CascadeList;

sub new_from_widget {
  my ($class, $widg, $title, $var, @rest) = @_;

  my $result = Gtk2::Simple::CascadeList->new_from_widget($widg, $title, 
														$var, @rest);

  bless $result, $class;
  $result->select($$var) if(defined $$var);
  tie $$var, 'Gtk2::Simple::Tie::CascadeList::TiedScalar', $result
	  if(defined $var && defined $$var);
  return $result;
}


########################
package Gtk2::Simple::Tie::CascadeList::TiedScalar;

use Gtk2;

sub TIESCALAR {
	my $pkg = shift;
	my $widg = shift;

	my $ret = { 'widg' => $widg };
	return bless $ret, $pkg;
}

sub FETCH {
  my $self = shift;

  my @var = $list->get_selected_indices();
  return $var[0];
}

sub STORE {
  my $self = shift;
  my $value = shift;

  $self->{widg}->select($value);
}



1;
